<!DOCTYPE html>
<html>
<head>
   <title>Patern 7</title>
</head>
<body>
   <script>
      var star = '*';
      var space = '';
      var baris = 5;
      var tempSpace = 5;
      var tempStar = 7;
      for (let i = 0; i < baris; i++) {
         space = ''; 
         tempSpace--;
         for (let k = tempSpace; k > 0; k--) {
            space = space + ' ';
         } 
         console.log(space+star);
         for (let k = 0; k < 2; k++) {
            star = star + '*';
         } 
      }
      space = ' ';
      for (let i = 0; i < baris-1; i++) {
         var star = '';
         for (let j = 0; j < tempStar; j++) {
            star = star + '*';
         }  
         tempStar-= 2;          
         console.log(space+star);
         space = ' ' + space;
      }
   </script>
</body>
</html>